package cn.hanghui.outapi.platform.tenant.entity.enums;

import cn.hutool.core.util.StrUtil;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @description: 证件类型
 * @ClassName
 */
@AllArgsConstructor
@Getter
public enum EntryFaceModeEnum {

    NORMAL("normal", "通用"),
    ZERO("zero", "有进场识别&连续刷脸"),
    THREE("three", "无进场识别&单次刷脸 "),
    ;

    public static EntryFaceModeEnum getEnumByCode(String code){
        if(StrUtil.isBlank(code)){
            return null;
        }
        for (EntryFaceModeEnum enumObject : values()){
            if(enumObject.code.equals(code)){
                return enumObject;
            }
        }
        return null;
    }
    private String code;
    private String desc;


}
